com.dlsc.flexgantt.swing

## Class DualGanttChartActionMap<T extends DualGanttChart>

- java.lang.Object
- - javax.swing.ActionMap
  - - com.dlsc.flexgantt.swing.AbstractGanttChartActionMap<T>
    - - com.dlsc.flexgantt.swing.DualGanttChartActionMap<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    IGanttChartActionMap, Serializable

      public class DualGanttChartActionMap<T extends DualGanttChart>
      extends AbstractGanttChartActionMap<T>

  A Gantt chart action map that extends the regular map with actions that are specific to and only useful in the context of a `DualGanttChart` (e.g. the action used to split the view).
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `FOCUS_NEXT_TABLE_ACTION` A constant used as the ID for an action that moves the focus to the first visible table cell in the currently focused column of the next table.
    `static String` | `FOCUS_PREVIOUS_TABLE_ACTION` A constant used as the ID for an action that moves the focus to the first visible table cell in the currently focused column of the previous table.
    `static String` | `SPLIT_GANTT_CHART_ACTION` A constant used as the ID for an action that splits / unsplits the Gantt chart.

    - ### Fields inherited from class com.dlsc.flexgantt.swing.AbstractGanttChartActionMap

      `ADD_HIGHLIGHTED_OBJECTS_ACTION, CATEGORY_CHART, CATEGORY_OTHER, CATEGORY_TABLE, CATEGORY_TIMELINE, CLEAR_HIGHLIGHTED_OBJECTS_ACTION, DELETE_NODE_ACTION, DELETE_TIMELINE_OBJECTS_ACTION, GRID_ACTION, INDENT_NODES_ACTION, INSERT_NODE_ACTION, MOVE_FOCUS_ABOVE_ACTION, MOVE_FOCUS_BELOW_ACTION, MOVE_FOCUS_BOTTOM_ACTION, MOVE_FOCUS_HOME_ACTION, MOVE_FOCUS_NEXT_ACTION, MOVE_FOCUS_PAGE_DOWN_ACTION, MOVE_FOCUS_PAGE_UP_ACTION, MOVE_FOCUS_PREVIOUS_ACTION, OUTDENT_NODES_ACTION, REDO_ACTION, REMOVE_HIGHLIGHTED_OBJECTS_ACTION, SCROLL_TIMELINE_LEFT_ACTION, SCROLL_TIMELINE_LEFT_FAST_ACTION, SCROLL_TIMELINE_RIGHT_ACTION, SCROLL_TIMELINE_RIGHT_FAST_ACTION, SELECT_ROWS_DOWNWARD_ACTION, SELECT_ROWS_UPWARD_ACTION, TOGGLE_CROSSHAIR_ACTION, TOGGLE_EVENTLINE_ACTION, TOGGLE_NODE_ACTION, UNDO_ACTION, ZOOM_IN_ACTION, ZOOM_OUT_ACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DualGanttChartActionMap(T gc)` Constructs a new action map.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initCategoryActionMap()` Fills the category/action map with mappings by invoking `AbstractGanttChartActionMap.addCategoryAction(String, String)` for each action ID defined in this class.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.AbstractGanttChartActionMap

      `addCategory, addCategoryAction, getCategories, getCategoryActions, removeCategory, removeCategoryAction`

    - ### Methods inherited from class javax.swing.ActionMap

      `allKeys, clear, get, getParent, keys, put, remove, setParent, size`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SPLIT_GANTT_CHART_ACTION

          public static final String SPLIT_GANTT_CHART_ACTION

      A constant used as the ID for an action that splits / unsplits the Gantt chart. The action that will be used for this ID is `SplitGanttChartAction`.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### FOCUS_NEXT_TABLE_ACTION

          public static final String FOCUS_NEXT_TABLE_ACTION

      A constant used as the ID for an action that moves the focus to the first visible table cell in the currently focused column of the next table. The action that will be used for this ID is `MoveFocusAction` in combination with `MoveFocusAction.Direction.NEXT_TABLE`.
      Since:
        1.1
      See Also:
        Constant Field Values

    - #### FOCUS_PREVIOUS_TABLE_ACTION

          public static final String FOCUS_PREVIOUS_TABLE_ACTION

      A constant used as the ID for an action that moves the focus to the first visible table cell in the currently focused column of the previous table. The action that will be used for this ID is `MoveFocusAction` in combination with `MoveFocusAction.Direction.PREVIOUS_TABLE`.
      Since:
        1.1
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DualGanttChartActionMap

          public DualGanttChartActionMap(T gc)

      Constructs a new action map.
      Parameters:
        `gc` - the target Gantt chart
      Since:
        1.1

  - ### Method Detail

    - #### initCategoryActionMap

          protected void initCategoryActionMap()

      Description copied from class: `AbstractGanttChartActionMap`
      Fills the category/action map with mappings by invoking `AbstractGanttChartActionMap.addCategoryAction(String, String)` for each action ID defined in this class. Example:

           // Layer container actions
           addCategoryAction(CATEGORY_CHART, ADD_HIGHLIGHTED_OBJECTS_ACTION);
           addCategoryAction(CATEGORY_CHART, REMOVE_HIGHLIGHTED_OBJECTS_ACTION);
           addCategoryAction(CATEGORY_CHART, CLEAR_HIGHLIGHTED_OBJECTS_ACTION);
           addCategoryAction(CATEGORY_CHART, DELETE_TIMELINE_OBJECTS_ACTION);
           addCategoryAction(CATEGORY_CHART, TOGGLE_CROSSHAIR_ACTION);
           addCategoryAction(CATEGORY_CHART, GRID_ACTION);

           // Table actions
           addCategoryAction(CATEGORY_TABLE, MOVE_FOCUS_ABOVE_ACTION);
           addCategoryAction(CATEGORY_TABLE, MOVE_FOCUS_BELOW_ACTION);
           ...

      Overrides:
        `initCategoryActionMap` in class `AbstractGanttChartActionMap<T extends DualGanttChart>`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.